org.apache.tapestry5.upload.internal.services

## Class MultipartServletRequestFilter

- java.lang.Object
- - org.apache.tapestry5.upload.internal.services.MultipartServletRequestFilter

- All Implemented Interfaces:
    HttpServletRequestFilter

      public class MultipartServletRequestFilter
      extends Object
      implements HttpServletRequestFilter

  Filter that decodes an incoming multipart request.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipartServletRequestFilter(MultipartDecoder multipartDecoder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `service(HttpServletRequest request, HttpServletResponse response, HttpServletRequestHandler handler)` Filter interface for the HttpServletRequestHandler pipeline.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipartServletRequestFilter

          public MultipartServletRequestFilter(MultipartDecoder multipartDecoder)

  - ### Method Detail

    - #### service

          public boolean service(HttpServletRequest request,
                                 HttpServletResponse response,
                                 HttpServletRequestHandler handler)
                          throws IOException

      Description copied from interface: `HttpServletRequestFilter`
      Filter interface for the HttpServletRequestHandler pipeline. A filter should delegate to the handler. It may perform operations before or after invoking the handler, and may modify the request and response passed in to the handler.
      Specified by:
        `service` in interface `HttpServletRequestFilter`
      Returns:
        true if the request has been handled, false otherwise
      Throws:
        `IOException`

5.6.1 - Copyright © 2003-2020 The Apache Software Foundation.